Redmine - Defect #5199

diff code coloring using coderay
2010-03-28 03:12 - Patrick Okui

Status: Closed Start date: 2010-03-28
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version: 1.0.0 (RC)

Resolution: Fixed Affected version: 0.9.3
Description

This seems not to work when | do pre and code style=diff. CodeRay however can highlight diffs.
As an example:

—-—— 2010-03-28.gp_invprint 2010-03-28 03:21:46.000000000 +0300
+++ gp_invprint 2010-03-28 03:23:08.000000000 +0300
@@ -535,7 +535,9 @@

Sp->text ({align=> 'centre'}, 300, 120, "TAX INVOICE");

Sp->setfont ("Arial", "8");
- Sp->text ({align=> 'right'}, 580, 120, "TIN:nnnn VAT: mmm");
# old style tin. changed due to request.
#Sp->text ({align=> 'right'}, 580, 120, "TIN:nnnn VAT: mmm");
Sp->text ({align=> 'right'}, 580, 120, "e-TIN xxx VAT: rrr");

+ + +

Sp->setfont ($font{"name"}, 10);
Sp—->text ({align=> 'right'}, 100, 190, "Name: ");

Associated revisions

Revision 3619 - 2010-03-28 13:30 - Jean-Philippe Lang
Fixes diff highlighting (#5199).

History

#1 - 2010-03-28 15:54 - Jean-Philippe Lang
- Category set to Time tracking

- Status changed from New to Closed

- Target version set to 1.0.0 (RC)

- Resolution set to Fixed

This is fixed in r3619.
Note that you have to use class="diff" instead of style="diff". Your example was fixed.

#2 - 2010-03-28 16:14 - Holger Just

- Status changed from Closed to Reopened

The fix in r3619 breaks the test suite. Specifically test_syntax_highlight(ApplicationHelperTest)

See http://ci.finn.de/builds/1-8-7 redmine-trunk_mysql/3621

#3 - 2010-03-28 17:20 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Test fixed in r3622.

#4 - 2010-04-01 20:17 - Kornelius Kalnbach
https://www.redmine.org/projects/redmine/repository/svn/revisions/3619
https://www.redmine.org/projects/redmine/repository/svn/revisions/3619
http://ci.finn.de/builds/1-8-7_redmine-trunk_mysql/3621
https://www.redmine.org/projects/redmine/repository/svn/revisions/3622

It doesn't look like it's supposed to look. :wrap => :span is not the right way to go, as it doesn't support the new line tokens that diff code needs.

| recommend using .div instead of .html.
http://coderay.rubychan.de/rays/show/6404
http://www.tcpdf.org

